Method: projects.locations.instances.restore

Restores an existing instance's file share from a backup.

The capacity of the instance needs to be equal to or larger than the capacity of the backup (and also equal to or larger than the minimum capacity of the tier).

HTTP request

POST https://file.googleapis.com/v1/{name=projects/*/locations/*/instances/*}:restore

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the instance, in the format projects/{projectNumber}/locations/{locationId}/instances/{instanceId}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "fileShare": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "sourceBackup": string
  // End of mutually exclusive fields.
}
Fields
fileShare

string

Required. Name of the file share in the Filestore instance that the backup is being restored to.

The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
sourceBackup

string

The resource name of the backup, in the format projects/{projectNumber}/locations/{locationId}/backups/{backupId}.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.